////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef EDITORMAP_H
#define EDITORMAP_H

#include <qlist.h>
#include <qstring.h>

#include "kreptoned.h"

struct Transporter
{
	int orig_x, orig_y;
	int dest_x, dest_y;

	Transporter(int ox, int oy, int dx, int dy)
		: orig_x(ox), orig_y(oy),
		  dest_x(dx), dest_y(dy) {}
};

class Map
{
public:
	int width, height;
	QString password;
	QList<Transporter> transporters;
	int time_limit;

	Map();
	~Map();

	Sprite& xy(int x, int y) {
		return *(data + x + y*width);
	}

	void newMap(int xwidth, int xheight);
	bool load(const QString& filename);
	bool save(const QString& filename);

private:
	Sprite *data;
	void addTransporter(int ox, int oy, int dx, int dy);
	void deleteTransporters();
};

#endif // !EDITORMAP_H
