////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef FILEIO_H
#define FILEIO_H

#include "editormap.h"

#include <qstringlist.h>
#include <qpixmap.h>

class FileIO
{
public:
	enum EpisodeType { All,Global,Local };

	static void loadEpisodeList(QStringList& l,FileIO::EpisodeType what);
	static int countUserEpisodes();
	static QString locateEpisode(const QString &name,FileIO::EpisodeType what = FileIO::All);
	static QString locateEpisodeDir(const QString &name);

	static void removeEpisode(const QString& path);
	static bool saveEpisode(const QString &name,const QList<Map> maps,const QPixmap *sprites);
	static QString copyEpisode(const QString &name,const QString &srcpath);

	static void report(const QString &message,
			   const QString &filename = QString::null,
			   bool system = true,bool fatal = false);
};

#endif // !FILEIO_H
