////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef MAPEDITOR_H
#define MAPEDITOR_H

#include <qwidget.h>

#include "kreptoned.h"

class QListBox;
class SpritePreviewFrame;
class MapGridFrame;
class QPixmap;
class QPushButton;
class QScrollBar;
class QLabel;
class Map;

class MapEditor : public QWidget
{
	Q_OBJECT

public:
	MapEditor(QPixmap *xsprites, QWidget *parent = 0, const char *name = 0);
	void setMap(Map *xmap);

private:
	QListBox *sprite_list;
	SpritePreviewFrame *sprite_frame;
	MapGridFrame *map_frame;
	QPixmap *sprites;
	Sprite current_sprite;
	QPushButton *close_button;
	QScrollBar *h_sbar, *v_sbar;
	QLabel *coord;
	Map *map;

public slots:
        void hsbarChanged(int i);
        void vsbarChanged(int i);
	void selectedSprite(int i);
	void pressedButton(int button, int x, int y);
	void updateCoordinates(int x, int y);
	void updateChilds();

signals:
	void modified(bool);
	void closed();

protected:
	void resizeEvent(QResizeEvent *e);
	void closeEvent(QCloseEvent *e);
};

#endif // !MAPEDITOR_H
