////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef MAPGRIDFRAME_H
#define MAPGRIDFRAME_H

#include <qframe.h>

#include "kreptoned.h"

class QPixmap;
class Map;

class MapGridFrame : public QFrame
{
	Q_OBJECT

signals:
	void pressedButton(int, int, int);
	void changedCoordinates(int, int);

public:
	int map_sx, map_sy;
	int map_width, map_height;

	MapGridFrame(QPixmap *xsprites, QWidget *parent = 0, const char *name = 0);
	void setSprite(Sprite s) { current_sprite = s; }
	void setMap(Map *xmap) { map = xmap; }
	void setSize(int w, int h);

private:
	QPixmap *sprites;
	int border;
	Sprite current_sprite;
	Map *map;

protected:
	void drawContents(QPainter *p);
	void mousePressEvent(QMouseEvent *e);
	void mouseMoveEvent(QMouseEvent *e);
};

#endif // !MAPGRIDFRAME_H
