////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#include "config.h"

#include <qframe.h>
#include <qpixmap.h>
#include <qpainter.h>

#include "kreptoned.h"
#include "spritepreviewframe.h"


SpritePreviewFrame::SpritePreviewFrame(QPixmap *xsprites, QWidget *parent, const char *name)
	: QFrame(parent, name)
{
	sprites = xsprites;
	setFrameStyle(Box | Sunken);
	setLineWidth(1);
	setMidLineWidth(2);
	border = lineWidth() * 2 + midLineWidth();
	resize(sprite_width + border*2, sprite_height + border*2);
}


void SpritePreviewFrame::drawContents(QPainter *p)
{
	if (current_sprite<0 || current_sprite>=NUM_SPRITES) return;
	p->drawPixmap(border, border, sprites[current_sprite]);
}
