////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#include "config.h"

#include <kapplication.h>
#include <kpushbutton.h>

#include "kreptoned.h"
#include "fileio.h"
#include "startupdialog.h"


StartupDialog::StartupDialog(const char *title,QWidget *parent,const char *name)
	: KDialogBase(parent,name,true,title,0)
{
	setIcon(kapp->icon());
	w = new SelectActionWidget(this);
	setMainWidget(w);
	setFixedSize(calculateSize(w->size().width(),w->size().height()));
	adjustSize();

	connect(w->newepisodePushButton,SIGNAL(clicked()),
		this,SLOT(newPressed()));
	connect(w->editepisodePushButton, SIGNAL(clicked()),
		this,SLOT(editPressed()));
	connect(w->removeepisodePushButton, SIGNAL(clicked()),
		this,SLOT(removePressed()));
	connect(w->quitPushButton, SIGNAL(clicked()),
		this,SLOT(reject()));
}


void StartupDialog::updateState()
{
	int n = FileIO::countUserEpisodes();
	w->editepisodePushButton->setEnabled(n>0);
	w->removeepisodePushButton->setEnabled(n>0);
}


void StartupDialog::newPressed()
{
	done(NewEpisode);
}


void StartupDialog::editPressed()
{
	done(EditEpisode);
}


void StartupDialog::removePressed()
{
	done(RemoveEpisode);
}
